<div class="container">
    <div class="row">
        <span class="title text-center m-3 font-weight-light fs-1 mt-4">Personal data safe</span>

    </div>
</div>

<div class="container">
    <div class="row mt-5">
        <div  class="card card-bordered card-flush mt-5 mb-xl-10 shadow-sm">
            <div role="button" data-bs-toggle="collapse" data-bs-target="#kt_account_profile_details"
                aria-expanded="true" aria-controls="kt_account_profile_details"
                class="card-header">
                <div class="card-title m-0 align-items-start flex-column">
                    <h3 class="card-title align-items-start flex-column">
                        <span class="fw-bolder mb-2 text-dark" i18n>My personal data</span>
                      </h3>    
                </div>
            </div>
            <div id="kt_account_profile_details" class="collapse show">
                <form (ngSubmit)="onSubmit()" [formGroup]="filledForm" class="form">
                    <div class="card-body border-top p-9">
                        <div class="container">
                            <div class="row">
                                <div class="col">
                                    <div class="row mb-6">
                                        <label class="required col-lg-4 col-form-label fw-bold fs-6" i18n>First name</label>
                                        <div class="col-lg-8 fv-row"><input formControlName='first-name' type="text"
                                                class="form-control form-control-lg"></div>
                                        </div>
                                    <div class="row mb-6 ">
                                        <div class="col-lg-4 fv-row d-flex align-items-center">
                                            <label class="required fw-bold fs-6" i18n>Birth date</label>
                                        </div>
                                        <div class="col-lg-8 fv-row">
                                            <div class="row m-0" style="justify-content: space-between;">
                                                <div class="col-lg-3">
                                                    <div class="row text-center">
                                                        <label class="fw-bold fs-6" i18n>Day</label>
                                                    </div>
                                                    <div class="row">

                                                        <select formControlName='birth-day' class="form-control-lg">
                                                            <option *ngFor="let day of this.dayList" [ngValue]="day">
                                                                {{day}}</option>
                                                        </select>
                                                    </div>
                                                </div>
    
                                                <div class="col-lg-auto">
                                                    <div class="row text-center">
                                                        <label class="fw-bold fs-6" i18n>Month</label>
                                                    </div>
                                                    <div class="row">
                                                        <select formControlName='birth-month' class="form-control-lg">
                                                            <option *ngFor="let month of this.monthList" [ngValue]="month">
                                                                {{month}}</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-lg-3">
                                                    <div class="row text-center">
                                                        <label class="fw-bold fs-6" i18n>Year</label>
                                                    </div>
                                                    <div class="row">
                                                        <select formControlName='birth-year' class="form-control-lg">
                                                            <option *ngFor="let year of this.yearList" [ngValue]="year">
                                                                {{year}}</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <div class="row mb-6">
                                        <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>Gender</label>
                                        <div class="col-lg-8 fv-row">
                                            <select formControlName='gender' class="form-control form-control-lg">
                                                <option *ngFor="let gender of this.genderList" [ngValue]="gender"selected>{{gender}}</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="row mb-6">
                                        <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>Phone number</label>
                                        <div class="col-lg-8 fv-row">
                                            <input type="text" formControlName='telephone'
                                                class="form-control form-control-lg">
                                        </div>
                                    </div>
                                    <div class="row mb-6">
                                        <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>Job</label>
                                        <div class="col-lg-8 fv-row">

                                            <select formControlName='job' class="form-control form-control-lg">
                                                <option *ngFor="let job of this.jobList" [ngValue]="job">
                                                    {{job}}</option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="row mb-6">
                                        <label class="required col-lg-4 col-form-label  fw-bold fs-6" i18n>Last name</label>
                                        <div class="col-lg-8 fv-row">
                                            <input formControlName='last-name' type="text"
                                                class="form-control form-control-lg">
                                        </div>
                                    </div>
                                    <div class="row mb-6">
                                        <label class="required col-lg-4 col-form-label  fw-bold fs-6" i18n>Country</label>
                                        <div class="col-lg-8 fv-row">
                                                <select formControlName='country' id="country" name="country" class="form-control form-control-lg">
                                                    <option value=""></option>
                                                    <option value="Afganistan">Afghanistan</option>
                                                    <option value="Albania">Albania</option>
                                                    <option value="Algeria">Algeria</option>
                                                    <option value="American Samoa">American Samoa</option>
                                                    <option value="Andorra">Andorra</option>
                                                    <option value="Angola">Angola</option>
                                                    <option value="Anguilla">Anguilla</option>
                                                    <option value="Antigua & Barbuda">Antigua & Barbuda</option>
                                                    <option value="Argentina">Argentina</option>
                                                    <option value="Armenia">Armenia</option>
                                                    <option value="Aruba">Aruba</option>
                                                    <option value="Australia">Australia</option>
                                                    <option value="Austria">Austria</option>
                                                    <option value="Azerbaijan">Azerbaijan</option>
                                                    <option value="Bahamas">Bahamas</option>
                                                    <option value="Bahrain">Bahrain</option>
                                                    <option value="Bangladesh">Bangladesh</option>
                                                    <option value="Barbados">Barbados</option>
                                                    <option value="Belarus">Belarus</option>
                                                    <option value="Belgium">Belgium</option>
                                                    <option value="Belize">Belize</option>
                                                    <option value="Benin">Benin</option>
                                                    <option value="Bermuda">Bermuda</option>
                                                    <option value="Bhutan">Bhutan</option>
                                                    <option value="Bolivia">Bolivia</option>
                                                    <option value="Bonaire">Bonaire</option>
                                                    <option value="Bosnia & Herzegovina">Bosnia & Herzegovina</option>
                                                    <option value="Botswana">Botswana</option>
                                                    <option value="Brazil">Brazil</option>
                                                    <option value="British Indian Ocean Ter">British Indian Ocean Ter</option>
                                                    <option value="Brunei">Brunei</option>
                                                    <option value="Bulgaria">Bulgaria</option>
                                                    <option value="Burkina Faso">Burkina Faso</option>
                                                    <option value="Burundi">Burundi</option>
                                                    <option value="Cambodia">Cambodia</option>
                                                    <option value="Cameroon">Cameroon</option>
                                                    <option value="Canada">Canada</option>
                                                    <option value="Canary Islands">Canary Islands</option>
                                                    <option value="Cape Verde">Cape Verde</option>
                                                    <option value="Cayman Islands">Cayman Islands</option>
                                                    <option value="Central African Republic">Central African Republic</option>
                                                    <option value="Chad">Chad</option>
                                                    <option value="Channel Islands">Channel Islands</option>
                                                    <option value="Chile">Chile</option>
                                                    <option value="China">China</option>
                                                    <option value="Christmas Island">Christmas Island</option>
                                                    <option value="Cocos Island">Cocos Island</option>
                                                    <option value="Colombia">Colombia</option>
                                                    <option value="Comoros">Comoros</option>
                                                    <option value="Congo">Congo</option>
                                                    <option value="Cook Islands">Cook Islands</option>
                                                    <option value="Costa Rica">Costa Rica</option>
                                                    <option value="Cote DIvoire">Cote DIvoire</option>
                                                    <option value="Croatia">Croatia</option>
                                                    <option value="Cuba">Cuba</option>
                                                    <option value="Curaco">Curacao</option>
                                                    <option value="Cyprus">Cyprus</option>
                                                    <option value="Czech Republic">Czech Republic</option>
                                                    <option value="Denmark">Denmark</option>
                                                    <option value="Djibouti">Djibouti</option>
                                                    <option value="Dominica">Dominica</option>
                                                    <option value="Dominican Republic">Dominican Republic</option>
                                                    <option value="East Timor">East Timor</option>
                                                    <option value="Ecuador">Ecuador</option>
                                                    <option value="Egypt">Egypt</option>
                                                    <option value="El Salvador">El Salvador</option>
                                                    <option value="Equatorial Guinea">Equatorial Guinea</option>
                                                    <option value="Eritrea">Eritrea</option>
                                                    <option value="Estonia">Estonia</option>
                                                    <option value="Ethiopia">Ethiopia</option>
                                                    <option value="Falkland Islands">Falkland Islands</option>
                                                    <option value="Faroe Islands">Faroe Islands</option>
                                                    <option value="Fiji">Fiji</option>
                                                    <option value="Finland">Finland</option>
                                                    <option value="France">France</option>
                                                    <option value="French Guiana">French Guiana</option>
                                                    <option value="French Polynesia">French Polynesia</option>
                                                    <option value="French Southern Ter">French Southern Ter</option>
                                                    <option value="Gabon">Gabon</option>
                                                    <option value="Gambia">Gambia</option>
                                                    <option value="Georgia">Georgia</option>
                                                    <option value="Germany">Germany</option>
                                                    <option value="Ghana">Ghana</option>
                                                    <option value="Gibraltar">Gibraltar</option>
                                                    <option value="Great Britain">Great Britain</option>
                                                    <option value="Greece">Greece</option>
                                                    <option value="Greenland">Greenland</option>
                                                    <option value="Grenada">Grenada</option>
                                                    <option value="Guadeloupe">Guadeloupe</option>
                                                    <option value="Guam">Guam</option>
                                                    <option value="Guatemala">Guatemala</option>
                                                    <option value="Guinea">Guinea</option>
                                                    <option value="Guyana">Guyana</option>
                                                    <option value="Haiti">Haiti</option>
                                                    <option value="Hawaii">Hawaii</option>
                                                    <option value="Honduras">Honduras</option>
                                                    <option value="Hong Kong">Hong Kong</option>
                                                    <option value="Hungary">Hungary</option>
                                                    <option value="Iceland">Iceland</option>
                                                    <option value="Indonesia">Indonesia</option>
                                                    <option value="India">India</option>
                                                    <option value="Iran">Iran</option>
                                                    <option value="Iraq">Iraq</option>
                                                    <option value="Ireland">Ireland</option>
                                                    <option value="Isle of Man">Isle of Man</option>
                                                    <option value="Israel">Israel</option>
                                                    <option value="Italy">Italy</option>
                                                    <option value="Jamaica">Jamaica</option>
                                                    <option value="Japan">Japan</option>
                                                    <option value="Jordan">Jordan</option>
                                                    <option value="Kazakhstan">Kazakhstan</option>
                                                    <option value="Kenya">Kenya</option>
                                                    <option value="Kiribati">Kiribati</option>
                                                    <option value="Korea North">Korea North</option>
                                                    <option value="Korea Sout">Korea South</option>
                                                    <option value="Kuwait">Kuwait</option>
                                                    <option value="Kyrgyzstan">Kyrgyzstan</option>
                                                    <option value="Laos">Laos</option>
                                                    <option value="Latvia">Latvia</option>
                                                    <option value="Lebanon">Lebanon</option>
                                                    <option value="Lesotho">Lesotho</option>
                                                    <option value="Liberia">Liberia</option>
                                                    <option value="Libya">Libya</option>
                                                    <option value="Liechtenstein">Liechtenstein</option>
                                                    <option value="Lithuania">Lithuania</option>
                                                    <option value="Luxembourg">Luxembourg</option>
                                                    <option value="Macau">Macau</option>
                                                    <option value="Macedonia">Macedonia</option>
                                                    <option value="Madagascar">Madagascar</option>
                                                    <option value="Malaysia">Malaysia</option>
                                                    <option value="Malawi">Malawi</option>
                                                    <option value="Maldives">Maldives</option>
                                                    <option value="Mali">Mali</option>
                                                    <option value="Malta">Malta</option>
                                                    <option value="Marshall Islands">Marshall Islands</option>
                                                    <option value="Martinique">Martinique</option>
                                                    <option value="Mauritania">Mauritania</option>
                                                    <option value="Mauritius">Mauritius</option>
                                                    <option value="Mayotte">Mayotte</option>
                                                    <option value="Mexico">Mexico</option>
                                                    <option value="Midway Islands">Midway Islands</option>
                                                    <option value="Moldova">Moldova</option>
                                                    <option value="Monaco">Monaco</option>
                                                    <option value="Mongolia">Mongolia</option>
                                                    <option value="Montserrat">Montserrat</option>
                                                    <option value="Morocco">Morocco</option>
                                                    <option value="Mozambique">Mozambique</option>
                                                    <option value="Myanmar">Myanmar</option>
                                                    <option value="Nambia">Nambia</option>
                                                    <option value="Nauru">Nauru</option>
                                                    <option value="Nepal">Nepal</option>
                                                    <option value="Netherland Antilles">Netherland Antilles</option>
                                                    <option value="Netherlands">Netherlands (Holland, Europe)</option>
                                                    <option value="Nevis">Nevis</option>
                                                    <option value="New Caledonia">New Caledonia</option>
                                                    <option value="New Zealand">New Zealand</option>
                                                    <option value="Nicaragua">Nicaragua</option>
                                                    <option value="Niger">Niger</option>
                                                    <option value="Nigeria">Nigeria</option>
                                                    <option value="Niue">Niue</option>
                                                    <option value="Norfolk Island">Norfolk Island</option>
                                                    <option value="Norway">Norway</option>
                                                    <option value="Oman">Oman</option>
                                                    <option value="Pakistan">Pakistan</option>
                                                    <option value="Palau Island">Palau Island</option>
                                                    <option value="Palestine">Palestine</option>
                                                    <option value="Panama">Panama</option>
                                                    <option value="Papua New Guinea">Papua New Guinea</option>
                                                    <option value="Paraguay">Paraguay</option>
                                                    <option value="Peru">Peru</option>
                                                    <option value="Phillipines">Philippines</option>
                                                    <option value="Pitcairn Island">Pitcairn Island</option>
                                                    <option value="Poland">Poland</option>
                                                    <option value="Portugal">Portugal</option>
                                                    <option value="Puerto Rico">Puerto Rico</option>
                                                    <option value="Qatar">Qatar</option>
                                                    <option value="Republic of Montenegro">Republic of Montenegro</option>
                                                    <option value="Republic of Serbia">Republic of Serbia</option>
                                                    <option value="Reunion">Reunion</option>
                                                    <option value="Romania">Romania</option>
                                                    <option value="Russia">Russia</option>
                                                    <option value="Rwanda">Rwanda</option>
                                                    <option value="St Barthelemy">St Barthelemy</option>
                                                    <option value="St Eustatius">St Eustatius</option>
                                                    <option value="St Helena">St Helena</option>
                                                    <option value="St Kitts-Nevis">St Kitts-Nevis</option>
                                                    <option value="St Lucia">St Lucia</option>
                                                    <option value="St Maarten">St Maarten</option>
                                                    <option value="St Pierre & Miquelon">St Pierre & Miquelon</option>
                                                    <option value="St Vincent & Grenadines">St Vincent & Grenadines</option>
                                                    <option value="Saipan">Saipan</option>
                                                    <option value="Samoa">Samoa</option>
                                                    <option value="Samoa American">Samoa American</option>
                                                    <option value="San Marino">San Marino</option>
                                                    <option value="Sao Tome & Principe">Sao Tome & Principe</option>
                                                    <option value="Saudi Arabia">Saudi Arabia</option>
                                                    <option value="Senegal">Senegal</option>
                                                    <option value="Seychelles">Seychelles</option>
                                                    <option value="Sierra Leone">Sierra Leone</option>
                                                    <option value="Singapore">Singapore</option>
                                                    <option value="Slovakia">Slovakia</option>
                                                    <option value="Slovenia">Slovenia</option>
                                                    <option value="Solomon Islands">Solomon Islands</option>
                                                    <option value="Somalia">Somalia</option>
                                                    <option value="South Africa">South Africa</option>
                                                    <option value="Spain">Spain</option>
                                                    <option value="Sri Lanka">Sri Lanka</option>
                                                    <option value="Sudan">Sudan</option>
                                                    <option value="Suriname">Suriname</option>
                                                    <option value="Swaziland">Swaziland</option>
                                                    <option value="Sweden">Sweden</option>
                                                    <option value="Switzerland">Switzerland</option>
                                                    <option value="Syria">Syria</option>
                                                    <option value="Tahiti">Tahiti</option>
                                                    <option value="Taiwan">Taiwan</option>
                                                    <option value="Tajikistan">Tajikistan</option>
                                                    <option value="Tanzania">Tanzania</option>
                                                    <option value="Thailand">Thailand</option>
                                                    <option value="Togo">Togo</option>
                                                    <option value="Tokelau">Tokelau</option>
                                                    <option value="Tonga">Tonga</option>
                                                    <option value="Trinidad & Tobago">Trinidad & Tobago</option>
                                                    <option value="Tunisia">Tunisia</option>
                                                    <option value="Turkey">Turkey</option>
                                                    <option value="Turkmenistan">Turkmenistan</option>
                                                    <option value="Turks & Caicos Is">Turks & Caicos Is</option>
                                                    <option value="Tuvalu">Tuvalu</option>
                                                    <option value="Uganda">Uganda</option>
                                                    <option value="United Kingdom">United Kingdom</option>
                                                    <option value="Ukraine">Ukraine</option>
                                                    <option value="United Arab Erimates">United Arab Emirates</option>
                                                    <option value="United States of America">United States of America</option>
                                                    <option value="Uraguay">Uruguay</option>
                                                    <option value="Uzbekistan">Uzbekistan</option>
                                                    <option value="Vanuatu">Vanuatu</option>
                                                    <option value="Vatican City State">Vatican City State</option>
                                                    <option value="Venezuela">Venezuela</option>
                                                    <option value="Vietnam">Vietnam</option>
                                                    <option value="Virgin Islands (Brit)">Virgin Islands (Brit)</option>
                                                    <option value="Virgin Islands (USA)">Virgin Islands (USA)</option>
                                                    <option value="Wake Island">Wake Island</option>
                                                    <option value="Wallis & Futana Is">Wallis & Futana Is</option>
                                                    <option value="Yemen">Yemen</option>
                                                    <option value="Zaire">Zaire</option>
                                                    <option value="Zambia">Zambia</option>
                                                    <option value="Zimbabwe">Zimbabwe</option>
                                                 </select>
                                        </div>
                                    </div>
                                    <div class="row mb-6">
                                        <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>City</label>
                                        <div class="col-lg-8 fv-row">
                                            <input formControlName='address' type="text"
                                                class="form-control form-control-lg">
                                        </div>
                                    </div>
                                    <div class="row mb-6">
                                        <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>Household members</label>
                                        <div class="col-lg-8 fv-row">
                                                <select formControlName='household-members' name="household-members" class="form-control form-control-lg">
                                                    <option value="" selected="selected" disabled="disabled">Select one</option>
                                                    <option value="1">1</option>
                                                    <option value="2">2</option>
                                                    <option value="3">3</option>
                                                    <option value="4">4</option>
                                                    <option value="5" i18n>More than 4</option>
                                                </select>
                                        </div>
                                    </div>
                                    <div class="row mb-6">
                                        <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>Income</label>
                                        <div class="col-lg-8 fv-row">
                                                <select formControlName='income' name="income" class="form-control form-control-lg">
                                                <option *ngFor="let income of this.incomeList" [ngValue]="income[1]"> {{income[0]}}</option>
¡                                                </select>
                                        </div>
                                    </div>
                                    <div class="row mb-6">
                                        <label class="col-lg-4 col-form-label  fw-bold fs-6" i18n>Education</label>
                                        <div class="col-lg-8 fv-row">
                                            <select formControlName='education' name="education" class="form-control form-control-lg">
                                                <option *ngFor="let education of this.educationList" [ngValue]="education">{{education}}</option>
¡                                           </select>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <label class="required text-muted col-lg-4 col-form-label fw-bold fs-6" i18n>Mandatory to participate to sweepstakes.</label>

                            </div>
                        </div>
                    </div>
                    <div class="card-footer d-flex justify-content-end py-6 px-9">
                        <button type="submit" class="btn btn-primary" i18n>
                            Save Changes
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <div class="row mb-4">
        <div class="col">
            <div class="card card-bordered card-flush shadow-sm">
                <div class="card-header">
                    <h3 class="card-title" i18n>Browsing History</h3>
                </div>
                <div *ngIf="!pluginInstalled" class="card-footer">
                    <div  class="container">
                       <div class="row mb-5">
                          <div class="col" class="d-flex justify-content-evenly">
                             <div class="p-2 bd-highlight">
                                <a href="https://chrome.google.com/webstore/detail/easypims-focus-groups/mjhbfkhkbhmlpdjmeifadkinkcemmlfa?hl=es&authuser=0" class="mb-2 btn btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary btn-flex btn-primary">
                                   <span class="svg-icon svg-icon-2x svg-icon-gray-900">
                                    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path opacity="0.3" d="M22.0318 8.59998C22.0318 10.4 21.4318 12.2 20.0318 13.5C18.4318 15.1 16.3318 15.7 14.2318 15.4C13.3318 15.3 12.3318 15.6 11.7318 16.3L6.93177 21.1C5.73177 22.3 3.83179 22.2 2.73179 21C1.63179 19.8 1.83177 18 2.93177 16.9L7.53178 12.3C8.23178 11.6 8.53177 10.7 8.43177 9.80005C8.13177 7.80005 8.73176 5.6 10.3318 4C11.7318 2.6 13.5318 2 15.2318 2C16.1318 2 16.6318 3.20005 15.9318 3.80005L13.0318 6.70007C12.5318 7.20007 12.4318 7.9 12.7318 8.5C13.3318 9.7 14.2318 10.6001 15.4318 11.2001C16.0318 11.5001 16.7318 11.3 17.2318 10.9L20.1318 8C20.8318 7.2 22.0318 7.59998 22.0318 8.59998Z" fill="black"/>
                                        <path d="M4.23179 19.7C3.83179 19.3 3.83179 18.7 4.23179 18.3L9.73179 12.8C10.1318 12.4 10.7318 12.4 11.1318 12.8C11.5318 13.2 11.5318 13.8 11.1318 14.2L5.63179 19.7C5.23179 20.1 4.53179 20.1 4.23179 19.7Z" fill="black"/>
                                    </svg>
                                        
                                        
                                   </span>
                                   <span class="d-flex flex-column align-items-start ms-2">
                                   <span class="fs-3 fw-bolder" i18n>Install plugin</span>
                                   <span class="fs-7" i18n>Add browser extension</span>
                                   </span>
                                </a>
                             </div>
                          </div>
                          <div class="row mt-5 w-75 mx-auto">
                             <div *ngIf="!pluginInstalled"class="col">
                                <div class="card border-danger-dashed mt-5 shadow-sm">
                                   <div class="card-body  bg-opacity-5 bg-danger p-4 ">
                                      <label class="d-flex flex-stack mb-5 cursor-pointer">
                                         <span class="d-flex align-items-center me-2">
                                         <span class="symbol symbol-50px me-6">
                                         </span>
                                         <span class="d-flex flex-column">
                                         <span class="fw-bolder text-gray-800 text-hover-primary fs-5" i18n>Data not uploaded yet.
                                         </span>
                                         <span class="fs-6 fw-bold text-gray-400" i18n>Please download the plugin to earn europoints.
                                         </span>
                                         </span>
                                         </span>
                                         <span class="svg-icon svg-icon-3x svg-icon-danger">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                               <path opacity="0.3" d="M12 10.6L14.8 7.8C15.2 7.4 15.8 7.4 16.2 7.8C16.6 8.2 16.6 8.80002 16.2 9.20002L13.4 12L12 10.6ZM10.6 12L7.8 14.8C7.4 15.2 7.4 15.8 7.8 16.2C8 16.4 8.3 16.5 8.5 16.5C8.7 16.5 8.99999 16.4 9.19999 16.2L12 13.4L10.6 12Z" fill="black"/>
                                               <path d="M22 12C22 17.5 17.5 22 12 22C6.5 22 2 17.5 2 12C2 6.5 6.5 2 12 2C17.5 2 22 6.5 22 12ZM13.4 12L16.2 9.20001C16.6 8.80001 16.6 8.19999 16.2 7.79999C15.8 7.39999 15.2 7.39999 14.8 7.79999L12 10.6L9.2 7.79999C8.8 7.39999 8.2 7.39999 7.8 7.79999C7.4 8.19999 7.4 8.80001 7.8 9.20001L10.6 12L7.8 14.8C7.4 15.2 7.4 15.8 7.8 16.2C8 16.4 8.3 16.5 8.5 16.5C8.7 16.5 9 16.4 9.2 16.2L12 13.4L14.8 16.2C15 16.4 15.3 16.5 15.5 16.5C15.7 16.5 16 16.4 16.2 16.2C16.6 15.8 16.6 15.2 16.2 14.8L13.4 12Z" fill="black"/>
                                            </svg>
                                         </span>
                                      </label>
                                   </div>
                                </div>
                             </div>
                          </div>
                       </div>
                    </div>
                 </div>

                <div *ngIf="pluginInstalled" class="card-body top-card-label">
                    <div class="container">
                        <div class="row">
                            <span class="text-center m-3 fw-bold fs-5" i18n>You have browsed</span>
                        </div>
                        <div class="row">
                            <span class="text-center text-primary m-3 fw-bold fs-1">{{this.browsed_websites}}&nbsp;</span>
                            <span class="text-center text-primary m-3 fw-bold fs-1" i18n>websites</span>
                        </div>
                    </div>
                </div>
                <div *ngIf="pluginInstalled" class="card-footer d-flex justify-content-end">
                    <a routerLink="/personal-data-safe/browsing-history" class="btn btn-sm btn-primary"><i
                            class="las la-file-export fs-1 me-2"></i>{{this.view}}</a>
                </div>
            </div>
        </div>
        <div class="col">
            <div class="card card-bordered card-flush shadow-sm">
                <div class="card-header">
                    <h3 class="card-title" i18n>Location History</h3>
                </div>
                <div *ngIf="!locationHistoryUploaded" class="card-footer">
                    <div class="container">
                       <div class="row mb-5">
                          <div class="col" class="d-flex justify-content-evenly">
                             <div class="p-2 bd-highlight">
                                <a (click)="openLocationHistoryModal(location_history_modal)" class="mb-2 btn btn-outline btn-outline-dashed btn-outline-primary btn-active-light-primary btn-flex btn-primary">
                                   <span class="svg-icon svg-icon-2x svg-icon-gray-900">
                                    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path opacity="0.3" d="M10 4H21C21.6 4 22 4.4 22 5V7H10V4Z" fill="black"/>
                                        <path d="M10.4 3.60001L12 6H21C21.6 6 22 6.4 22 7V19C22 19.6 21.6 20 21 20H3C2.4 20 2 19.6 2 19V4C2 3.4 2.4 3 3 3H9.20001C9.70001 3 10.2 3.20001 10.4 3.60001ZM16 11.6L12.7 8.29999C12.3 7.89999 11.7 7.89999 11.3 8.29999L8 11.6H11V17C11 17.6 11.4 18 12 18C12.6 18 13 17.6 13 17V11.6H16Z" fill="black"/>
                                        <path opacity="0.3" d="M11 11.6V17C11 17.6 11.4 18 12 18C12.6 18 13 17.6 13 17V11.6H11Z" fill="black"/>
                                     </svg>                                
                                   </span>
                                   <span class="d-flex flex-column align-items-start ms-2">
                                   <span class="fs-3 fw-bolder" i18n>Upload file</span>
                                   <span class="fs-7" i18n>Watch instructions</span>
                                   </span>
                                </a>
                             </div>
                          </div>
                          <div class="row mt-5 w-75 mx-auto">
                             <div *ngIf="!uploadedBH"class="col">
                                <div class="card border-danger-dashed mt-5 shadow-sm">
                                   <div class="card-body  bg-opacity-5 bg-danger p-4 ">
                                      <label class="d-flex flex-stack mb-5 cursor-pointer">
                                         <span class="d-flex align-items-center me-2">
                                         <span class="symbol symbol-50px me-6">
                                         </span>
                                         <span class="d-flex flex-column">
                                         <span class="fw-bolder text-gray-800 text-hover-primary fs-5" i18n>Data not uploaded yet.
                                         </span>
                                         <span class="fs-6 fw-bold text-gray-400" i18n>Please upload your location history file to earn europoints.
                                         </span>
                                         </span>
                                         </span>
                                         <span class="svg-icon svg-icon-3x svg-icon-danger">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                               <path opacity="0.3" d="M12 10.6L14.8 7.8C15.2 7.4 15.8 7.4 16.2 7.8C16.6 8.2 16.6 8.80002 16.2 9.20002L13.4 12L12 10.6ZM10.6 12L7.8 14.8C7.4 15.2 7.4 15.8 7.8 16.2C8 16.4 8.3 16.5 8.5 16.5C8.7 16.5 8.99999 16.4 9.19999 16.2L12 13.4L10.6 12Z" fill="black"/>
                                               <path d="M22 12C22 17.5 17.5 22 12 22C6.5 22 2 17.5 2 12C2 6.5 6.5 2 12 2C17.5 2 22 6.5 22 12ZM13.4 12L16.2 9.20001C16.6 8.80001 16.6 8.19999 16.2 7.79999C15.8 7.39999 15.2 7.39999 14.8 7.79999L12 10.6L9.2 7.79999C8.8 7.39999 8.2 7.39999 7.8 7.79999C7.4 8.19999 7.4 8.80001 7.8 9.20001L10.6 12L7.8 14.8C7.4 15.2 7.4 15.8 7.8 16.2C8 16.4 8.3 16.5 8.5 16.5C8.7 16.5 9 16.4 9.2 16.2L12 13.4L14.8 16.2C15 16.4 15.3 16.5 15.5 16.5C15.7 16.5 16 16.4 16.2 16.2C16.6 15.8 16.6 15.2 16.2 14.8L13.4 12Z" fill="black"/>
                                            </svg>
                                         </span>
                                      </label>
                                   </div>
                                </div>
                             </div>
                          </div>
                       </div>
                    </div>
                 </div>

                <div *ngIf="locationHistoryUploaded" class="card-body top-card-label">
                    <div class="container">
                        <div class="row">
                            <span class="text-center m-3 fw-bold fs-5" i18n>You have visited</span>
                        </div>
                        <div class="row">
                            <span class="text-center text-primary m-3 fw-bold fs-1">{{this.visited_cities}}&nbsp;</span>
                            <span class="text-center text-primary m-3 fw-bold fs-1" i18n>places</span>
                        </div>
                    </div>
                </div>
                <div *ngIf="locationHistoryUploaded" class="card-footer d-flex justify-content-end">
                    <div class="m-2">
                        <a (click)="openLocationHistoryModal(location_history_modal)" class="btn btn-sm btn-primary mr-5"><i
                            class="las la-cloud-upload-alt fs-1 me-2"></i>{{this.update_data}}</a>
                    </div>
                    
                    <div class="m-2">
                        <a routerLink="/personal-data-safe/location-history" class="btn btn-sm btn-primary pl-5 ps-5"><i
                            class="las la-file-export fs-1 me-2"></i>{{this.view}}</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <!-- CHARTS -->
        <div *ngIf="dataAvailable">
            <app-pds-home-charts [receivedGraphData]="graphData"></app-pds-home-charts>
        </div>
    </div>
</div>



<!-- LOCATION HISTORY MODAL START -->
<ng-template #location_history_modal let-modal>
    <div class="modal-header">
        <h4 class="modal-title" id="modal-title">Location history upload</h4>
        <button type="button" class="close" aria-describedby="modal-title" (click)="modal.dismiss('Cross click')">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body d-flex justify-content-center" *ngIf="!uploading">
        <div class="container">
            <div class="mb-5 row" *ngIf="this.uploadedFiles">
                <div class="alert alert-success" role="alert">
                    <h4 class="alert-heading" i18n>Well done!</h4>
                    <p i18n>You succesfully uploaded the location history.</p>
                    <hr>
                    <p class="mb-0" i18n>Return to pending tasks</p>
                  </div>
            </div>
            <div class="row">
                <p i18n><strong>{{this.loc_hist_trans}}</strong></p>      
            </div>
            <div class="row">
                <iframe height='400px' src="https://www.youtube.com/embed/_6OBZrHJ_vM" frameborder="0" all owfullscreen></iframe>    
            </div>
            <div class="row mt-5">
                <p>
                    <strong>Do you know that if you use Google maps then Google collects your location history?</strong>
                </p>
                <p>
                    Here you can upload this data and put it on the market place so that companies may access it and you can gain extra points.
                    Of course, you can freely configure your consent for each specific purpose a company can access your data so that you keep control on it. 
                </p>
                <p>
                    Check the video on how to download you location history from Google, and upload it here.
                    Here is the link <a target="_blank" rel="noopener noreferrer"href="https://takeout.google.com/">https://takeout.google.com/</a> on Google. Steps:
                </p>
            </div>
            <div class="row">
                <ol class="list-group list-group-numbered">
                    <li class="list-group-item" i18n><strong>Login with you usual Google account</strong></li>
                    <li class="list-group-item" i18n><strong>Deselect all data, and select only "location history"</strong></li>
                    <li class="list-group-item" i18n><strong>Complete the process to download your .zip archive</strong></li>
                    <li class="list-group-item" i18n><strong>Upload the .zip here using the button below</strong></li>
                  </ol>
            </div>
            <div class="row mt-3">
                <p i18n>Once done, you can check your location history, delete single entries, and gain points!</p>
            </div>
        </div>




    </div>
    <div class="modal-footer" *ngIf="!uploading">
        <div class="mb-3">
            <a class="btn btn-sm btn-secondary" (click)="modal.dismiss('Cross click')" i18n>Cancel</a>

            <!-- hidden start -->
            <input
            style="display: none"
            type="file" (change)="onFileSelected($event)"
            #fileInput>
            <!-- hidden finish -->
        </div>
        <div class="mb-3" *ngIf="!this.selectedFile">
            <a class="mr-5 btn btn-sm btn-primary " (click)="fileInput.click()" i18n>Select File</a>
        </div>
        <div class="mb-3" *ngIf="this.selectedFile">
            <a class="ml-5 btn btn-sm btn-primary " (click)="onUpload($event)" i18n>Upload</a>
        </div>


        
        
    </div>


    <div class="modal-body d-flex justify-content-center" *ngIf="uploading">
        <div class="container mt-5 mb-5">
            <div class="row mt-5 mb-5">
                <h3 i18n>Uploading</h3>      
                <div class="progress">
                    <div class="progress-bar progress-bar-striped progress-bar-animated" role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" [ngStyle]="{ width : this.uploadProgress }"></div>
                </div>
            </div>
        </div>

    </div>


</ng-template>
<!-- LOCATION HISTORY MODAL END -->


<ngx-spinner></ngx-spinner>
